<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:param name="title">Error</xsl:param>
    <xsl:param name="position"/>
    <xsl:param name="message">Unknown error occurred</xsl:param>

    <xsl:template match="/">
        <html xmlns="http://www.w3.org/1999/xhtml">
            <head>
                <title>Error</title>
                <link href="http://netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
            </head>
            <body>
                <div class="container" style="margin-top:30px">
                    <div class="panel panel-danger">
                        <div class="panel-heading">
                            <div class="panel-title">
                                <h2><xsl:value-of select="$title"/><br/>
                                    <small><xsl:value-of select="$position"/></small>
                                </h2>
                            </div>
                        </div>
                        <div class="panel-body">
                            <pre>
                                <xsl:value-of select="$message"/>
                            </pre>
                        </div>
                    </div>
                </div>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>